<bugID>371798<Summary>query result nodes must update titles on bookmark id not URI</Summary><Description>From https://bugzilla.mozilla.org/show_bug.cgi?id=360133#c15:

&gt; Now I'm searching for child nodes by bookmark id instead of URI
&gt; where appropriate.

Yes, that's exactly what I'd like to say! And finally we got ready to
fight against another URI-base enemy "ChangeTitles(...)".

http://bonsai.mozilla.org/cvsblame.cgi?file=mozilla/toolkit/components/places/src/nsNavHistoryResult.cpp&amp;rev=1.79&amp;mark=2868-2874#2868</Description></bugID>